const system = require("../../../system");
var settings = require("../../../../config/settings");
const AppServiceBase = require("../../app.base");

class IcbcService extends AppServiceBase {
  constructor() {
    super();
    this.zcApiUrl = settings.reqZcApi();
  }
  async getCompanyListByVague(obj, req) {
    var url = this.zcApiUrl + "api/tool/toolApi/getCompanyListByVague";
    return await this.opReqResult(url, obj, req);
  }
  //企业模糊查询
  async getDetailByCompanyName(obj, req) {
    var url = this.zcApiUrl + "api/tool/toolApi/getDetailByCompanyName";
    return await this.opReqResult(url, queryobj, req);
  }
  //企业详情
  async getNclByLikeNameAndNcl(queryobj, req) {
    var url = this.zcApiUrl + "api/tool/toolApi/getNclByLikeNameAndNcl";
    return await this.opReqResult(url, queryobj, req);
  }
  //企业变更记录查询
  async getCompanyChangeByName(queryobj, req) {
    var url = this.zcApiUrl + "api/tool/toolApi/getCompanyChangeByName";
    return await this.opReqResult(url, queryobj, req);
  }
  //工商icp证照查询
  async getCompanyIcpByName(queryobj, req) {
    var url = this.zcApiUrl + "api/tool/toolApi/getCompanyIcpByName";
    return await this.opReqResult(url, queryobj, req);
  }
}
module.exports = IcbcService;

